Loading...
Searching...
No Matches
ARC_Parser Struct Reference

## Data Fields

ARC_Array | language
ARC_Lexer * | lexer
void * | data
void * | userData
ARC_ParserData_CreateFn * | createDataFn
ARC_ParserData_DestroyFn * | destroyDataFn

## Detailed Description

Definition at line 12 of file parser.c.

## Field Documentation

## createDataFn

ARC_ParserData_CreateFn* ARC_Parser::createDataFn

Definition at line 19 of file parser.c.

Referenced by ARC_Parser_Destroy(), and ARC_Parser_Parse().

## data

void* ARC_Parser::data

Definition at line 17 of file parser.c.

Referenced by ARC_Parser_ClearData(), ARC_Parser_Destroy(), ARC_Parser_GetData(), and ARC_Parser_Parse().

## destroyDataFn

ARC_ParserData_DestroyFn* ARC_Parser::destroyDataFn

Definition at line 20 of file parser.c.

Referenced by ARC_Parser_ClearData(), and ARC_Parser_Destroy().

## language

ARC_Array ARC_Parser::language

Definition at line 13 of file parser.c.

Referenced by ARC_Parser_Create(), ARC_Parser_Destroy(), ARC_Parser_Parse(), and ARC_Parser_ParseTag().

## lexer

ARC_Lexer* ARC_Parser::lexer

Definition at line 15 of file parser.c.

Referenced by ARC_Parser_Destroy(), ARC_Parser_Parse(), and ARC_Parser_ParseTag().

## userData

void* ARC_Parser::userData

Definition at line 18 of file parser.c.

Referenced by ARC_Parser_ClearData(), ARC_Parser_Destroy(), and ARC_Parser_Parse().

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/src/std/parser.c